package com.ruoyi.zhushi.service;

import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.zhushi.entity.AppDTO;
import com.ruoyi.zhushi.entity.DkAttendanceGroupDTO;
import com.ruoyi.zhushi.entity.DkCheckInConfigDTO;
import com.ruoyi.zhushi.entity.DkCheckInRecordDTO;

import java.util.List;

public interface DkAttendanceGroupService {

    TableDataInfo<DkAttendanceGroupDTO> queryPageList(DkAttendanceGroupDTO dkAttendanceGroupDTO);

    String addOrUpdate(DkAttendanceGroupDTO dkAttendanceGroupDTO);

    int del(long id);

    AppDTO queryAttendanceGroupBYUserId(long useId);

    int deleteConfig(long id);

    List<DkAttendanceGroupDTO> queryAttendanceGroup();
}
